breezy-debian (2.8.27) experimental; urgency=medium

  * Support dotted revnos when referencing upstream revisions.
  * Support a Repository-Tag-Prefix field in debian/upstream/metadata.
  * builddeb: Drop unused -w option.
  * Export upstream keyrings when downloading new upstream releases with
    uscan.
  * Support date-only git snapshot versions.
  * By default, don't create a pristine-tar branch if one doesn't exist.
  * Be a bit quieter when adding pristine-tar metadata in git
    repositories.
  * Drop commit-message-from-changelog setting; always default to True.
  * Use regexes for parsing 'uscan --dehs' output; it's not always well-
    formed XML.
  * Support tildes being escaped to underscores when finding the tag for
    upstream versions in Git repositories.
  * Check gbp.conf for tag format.
  * Support git style revisions in upstream versions with just the date.
  * Support v.X syntax for version tags.
  * Disable quilt functionality when Breezy is providing a quilt plugin.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 06 Mar 2019 21:35:13 +0000

breezy-debian (2.8.26) unstable; urgency=medium

  * Add a 'vcs:' location resolver that uses the location provided by
    the package in the current directory.
  * Bump bzr version to 3.0.0~bzr7290; required for MemoryTags class.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 26 Feb 2019 06:16:06 +0000

breezy-debian (2.8.25) unstable; urgency=medium

  * Support newer versions of Breezy where generate_ids has moved to
    breezy.bzr.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 14 Feb 2019 22:33:59 +0000

breezy-debian (2.8.24) unstable; urgency=medium

  * Support git snapshot id in version strings when merging a snapshot
    from an upstream git repository.
  * Support finding upstream git revisions by snapshot id in upstream
    version.
  * Support merging from upstream branches without random access
    support, i.e. remote git repositories.
  * Bump debhelper from old 9 to 10.
  * Bump standards version to 4.3.0 (no changes).
  * debian/copyright: Remove reference to removed bzrtools_bzrtools.py.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 01 Feb 2019 15:50:52 +0000

breezy-debian (2.8.23) unstable; urgency=medium

  * Convert copyright file to machine-readable format.
  * Pass copyright-file to uscan, so that Files-Excluded can be read.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 22 Jan 2019 00:35:45 +0000

breezy-debian (2.8.22) unstable; urgency=medium

  * Set Enhances: brz.
  * Fix compatibility with newer snapshots of Breezy.
  * Trim trailing whitespace.
  * Remove unnecessary XS-Testsuite field in debian/control.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 25 Nov 2018 13:46:55 +0000

breezy-debian (2.8.21) unstable; urgency=medium

  * Support finding upstream revisions based on bzr revno.
  * Fix error when attempting to release from branch without colocated
    branch support.
  * brz dep3-patch: Use git commit ids when generating patches from Git
    repositories.
  * Fix compatibility with newer versions of brz.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 17 Nov 2018 02:10:53 +0000

breezy-debian (2.8.20) unstable; urgency=medium

  * Add 'brz debrelease' command.
  * Fix autopgktests; use Python 3 dependencies.
  * Fix test_merge_upstream.ChangelogAddNewVersionTests.test_add_new
    when run with non-ascii username and LC_ALL=C.
  * Hide the mark-uploaded command.
  * Support tag names starting with debian/ or ubuntu/, for
    compatibility with git-buildpackage.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 20 Oct 2018 22:57:16 +0000

breezy-debian (2.8.16) unstable; urgency=medium

  * Properly escape slashes in git branch names.
  * Add dgit: directory.
  * Cope with Dgit headers without location.
  * Drop outdated X-Python-Version header.
  * Update to run with Python 3 version of Breezy.
  * Switch to pybuild.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 14 Sep 2018 14:41:09 +0100

breezy-debian (2.8.15) unstable; urgency=medium

  * Guess upstream tag names if none is explicitly set.
  * Support retrieving/storing pristine-tar deltas in git branches.
  * Simplify handling of apt: URLs.
  * Display resolved branch URL in apt: directory.
  * Add support for Vcs-Darcs in directory.
  * Handle rsync-style URLs in Vcs-Git.
  * Suport resolving other directories in apt:.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 09 Sep 2018 13:24:02 +0100

breezy-debian (2.8.14) unstable; urgency=medium

  * Update Vcs-Bzr to reflect code hosting is now on code.breezy-
    vcs.org.
  * Read upstream branch from debian/upstream/metadata. LP: #1791456

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 19 May 2018 15:32:40 +0100

breezy-debian (2.8.13) unstable; urgency=medium

  * Add dependency on python-dulwich. Closes: #899008
  * Remove obsolete URL from debian/copyright.
  * Change Vcs-Bzr URL to launchpad.
  * debian/source/lintian-overrides: Fix source package name.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 18 May 2018 16:40:12 +0100

breezy-debian (2.8.12) unstable; urgency=medium

  * Skip GPG signatures when looking for tarballs.
  * Fix compatibility with newer versions of Breezy.
  * Remove support for 'get-orig-source' debian/rules target, which was
    removed in Debian policy 4.1.4.0.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 03 Apr 2018 01:51:03 +0100

breezy-debian (2.8.11) unstable; urgency=medium

  * Add compatibility for newer versions of Breezy.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 04 Mar 2018 21:25:48 +0000

breezy-debian (2.8.10) unstable; urgency=medium

  * debian/copyright: Fix package name.
  * Fix compatibility with newer versions of breezy.
  * Bump standards version to 4.1.1

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 08 Nov 2017 23:23:20 +0000

breezy-debian (2.8.9) unstable; urgency=medium

  * Update to be compatible with breezy rather than bazaar.
  * Added support for -b in Git-Vcs fields.
  * Only apply/unapply quilt patches on '3.0 (quilt)' format source
    packages. LP: #999586
  * Remove deprecated --result option for 'bzr builddeb'.
  * Remove deprecated export-upstream setting in configuration.
  * Remove deprecated --v3 option from 'bzr dh-make'.
  * Remove 'bzr merge-package' command - this functionality is now in
    the 'brz merge' command.
  * Bump version to 4.0.0 (no changes).
  * Package as breezy-debian. Closes: #873848
  * Add alias 'debuild' to 'builddeb'.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 17 Jun 2017 14:10:48 +0000

bzr-builddeb (2.8.8) unstable; urgency=low

  [ Iain Lane ]
  * debian/tests/control: Add python-distro-info and libalgorithm-merge-perl
    to test depends; the former is required to compare release names and the
    latter for dpkg-mergechangelogs to generate the expected output (it does
    different things with conflicts in 3-way merges depending on the presence
    of this library). (Closes: #727238)

  [ Andrew Starr-Bochicchio ]
  * Display a helpful error message if dh-make is not installed (LP: #641418).
  * Deprecate --v3 option for the dh-make command. dh_make has been
    creating v3 source packages since 2010 (LP: #811723).
  * quilt.py: quilt_unapplied should only return patch basenames regardless
    of whether or not QUILT_PATCHES_PREFIX is set. Fixes test failure with
    quilt > 0.63-2.
  * import_dsc.py: Use calendar.timegm instead of time.mktime when importing
    the timestamp. Thanks to Anders Kaseorg! (LP: #475983).
  * Bump Standards-Version to 3.9.5, no changes.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Wed, 14 May 2014 00:24:35 -0400

bzr-builddeb (2.8.7) unstable; urgency=low

  * tests/blackbox/test_import_dsc.py:
   - Explicitly pass '--format=1.0' to dpkg-source inorder to
     silence "no source format specified" warnings printed to
     stderr (Closes: #711042).
  * tests/test_import_dsc.py:
   - As of dpkg 1.17.0, source format '3.0 (native)' strictly
     enforces that native packages do not have a Debian revision.
     Use "0.1" instead of "0.1-1" for the version number in
     test_extract_format3_native (Closes: #720003).
  * debian/control: Add myself to Uploaders.
  * debian/tests/control:
   - Remove the depricated no-build-needed Features flag and add
     Restrictions: allow-stderr.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Tue, 10 Sep 2013 19:05:58 -0400

bzr-builddeb (2.8.6) unstable; urgency=low

  * Team upload.
  * Upload to unstable.
  * Move to minimal dh style rules file.
  * Drop bzr-svn from Build-Depends-Indep and Suggests (Closes: #709288).
  * Bump Standards-Version to 3.9.4, no changes needed.
  * Drop deprecated debian/pycompat and debian/pyversions files.
  * Add autopkgtests.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Wed, 22 May 2013 14:03:43 -0400

bzr-builddeb (2.8.5) experimental; urgency=low

  * Cope with quilt output being empty in error message. LP: #1014543
  * Remove myself and Reinhard from uploaders.
  * Don't consider .gitignore when looking for upstream sources.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 09 Jul 2012 12:04:50 +0200

bzr-builddeb (2.8.4) unstable; urgency=low

  * Add dependency on quilt. LP: #951207
  * Cope with missing tags when looking up upstream versions.
  * Skip quilt unapplying for trees that can not be copied (such as
    _PreviewTree). LP: #950419
  * Document the argument for --export-upstream. LP: #959065

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 19 Mar 2012 11:10:21 +0100

bzr-builddeb (2.8.3) unstable; urgency=low

  * Fix patch unapplying from DirStateRevisionTrees. LP: #923688
  * Bump distro-info dependency back to a recommends, to ease
    backporting.
  * Cope with the deprecation of Tree.inventory in bzr/2.6. LP: #934247
  * Generate xz files with the 'xz' utility rather than the Python
    'lzma' module, as the latter uses options not supported by pristine-
    xz. Closes: #660721
  * Merge fix from Joel Pickett to fix typo in orig-dir option help
    description. LP: #945413
  * Bump standards version to 3.9.3 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 03 Mar 2012 20:47:07 +0100

bzr-builddeb (2.8.2) unstable; urgency=low

  * Only warn about unapplying quilt patches when there are actually
    patches to unapply.
  * Don't throw a traceback when quilt unapplying fails.
  * Read configuration from original working tree, in case there are
    conflicts during merge.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 22 Jan 2012 14:45:04 +0100

bzr-builddeb (2.8.1) unstable; urgency=low

  * New revision specifier 'upstream:'. LP: #905728
  * Imports are now deferred in command definitions, to speed up
    commands like 'bzr bash-completion'. LP: #903650
  * Provide merge-package functionality as a hook for 'bzr merge'.
    LP: #486075, LP: #910900
  * Add pre-commit hook that warns about applied quilt patches, and can
    automatically unapply/apply all quilt patches. LP: #608670
  * Automatically unapply patches before merge operations.
    LP: #815854
  * Include full changelog paths that were checked in error message.
    LP: #811459
  * Cope with unicode strings being specified to TarfileSource. Based on
    patch by Gediminas Paulauskas. LP: #911262
  * Automatically apply patches for 3.0 (quilt) packages in 'bzr bd-do'
    and 'bzr bd'. LP: #616791
  * Switch to source format '3.0 (native)'.
  * Skip import tests for .tar.xz if not supported by pristine-tar.
    Closes: #655463, LP: #917112

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 18 Jan 2012 01:24:21 +0100

bzr-builddeb (2.8.0) unstable; urgency=low

  [ Jonathan Riddell ]
  * Add get-orig-source command which will get the upstream tar file.
    LP: #862188
  * Change "bd-do" command to "builddeb-do" and alias "bd-do".
  * Add commit-message-from-changelog option for those who do not
    want commit message set automatically

  [ Jelmer Vernooij ]
  * Support importing and building packages with multiple upstream
    tarballs. LP: #653757, LP: #664834
  * Move .bzr-builddeb/default.conf to debian/bzr-builddeb.conf.
    LP: #793137
  * Fix test suite on Lucid, where dpkg-mergechangelogs is not available.

  [ Martin Packman ]
  * Fix test_utf8_changelog when run with older versions of python-debian.

  [ Jelmer Vernooij ]
  * Support svn-buildpackage tag names to find upstream versions.
    LP: #874263
  * Support --revision argument to merge-package. LP: #888590
  * By default, don't override the commit message from debian/changelog
    unless 'commit-message-from-changelog' is explicitly set to True. LP: #812749
  * Support running dep3-patch against remote repositories, and with
    open-ended revision ranges. LP: #893608
  * Fix finding orig tarballs in directories also containing filenames
    with non-utf8 characters. LP: #865753
  * bzr-builddeb now prefers the 'get-packaged-orig-source' rule to
    retrieve the packaged upstream source, and warns about
    'get-orig-source'. LP: #409862
  * Support translations.

  [ Martin Packman ]
  * Deal with invalid versions and bad encoding in the changelog merge
    hook. LP: #893495

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 16 Dec 2011 19:58:57 +0100

bzr-builddeb (2.7.9) unstable; urgency=low

  [ Jelmer Vernooij ]
  * Support .tar.xz Debian files rather than .tar.lzma.

  [ Martin Packman ]
  * Support non-ascii characters in changelog entry when determining
    commit message. LP: #853664

  [ Jelmer Vernooij ]
  * Use more complete control file during examples. Closes: #642818

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 01 Oct 2011 21:27:05 +0200

bzr-builddeb (2.7.8) unstable; urgency=low

  * Improve error message when tag for upstream version can not be
    found. LP: #783882
  * Cope with newer versions of bzr raising IOError rather than
    NoSuchFile error. LP: #831351, Closes: #638219
  * Print proper error if uscan doesn't create the expected orig
    tarball. LP: #818093.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 07 Sep 2011 22:11:47 +0200

bzr-builddeb (2.7.7) unstable; urgency=low

  [ Jelmer Vernooij ]
  * Build type now defaults to normal mode when used in an empty tree.
    LP: #776528

  [ Andrew Bennetts ]
  * Use dpkg-mergechangelogs(1) to merge changelog files.
   + Preserve the existing ordering of changelog entries when merging.
     LP: #718944
   + Additional changelog entries are modified when merging another branch.
     LP: #552950
   + 3-way changelog file merge doesn't do textual merging on sections.
     LP: #517093
   + 3-way changelog file merge doesn't support deletions. LP: #517090

  [ Jelmer Vernooij ]
  * Add python-lzma to build dependencies, for use in test suite.
  * Recommend libalgorithm-merge-perl, required for conflict resolution
    in dpkg-mergechangelogs.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 26 Jul 2011 15:10:18 +0200

bzr-builddeb (2.7.6) unstable; urgency=low

  * Bump standards version to 3.9.2 (no changes).
  * Fix AttributeError in incremental imports using 'bzr import-dsc'.
    LP: #812950
  * Support --package-merge for the first package version. LP: #812704

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 19 Jul 2011 17:35:39 +0200

bzr-builddeb (2.7.5) unstable; urgency=low

  [ Jelmer Vernooij ]
  * New 'bzr dep3-patch' subcommand that can generate DEP-3 compliant
    patches. LP: #460576

  [ Jonathan Riddell ]
  * Use new set_commit_message() hook in bzr to set the commit
    message from debian/changelog and set fixed bugs in tags. LP: #707274

  [ Jelmer Vernooij ]
  * Add dependency on devscripts >= 2.10.59, required now that 'dch --
    package' is used. LP: #783122
  * Fix support for native packages with dashes in their version in
    sources.list. LP: #796853
  * Fix deprecation warnings for TestCase.failUnlessExists and
    TestCase.failIfExists in bzr 2.4.

  [ Scott Kitterman ]
  * Delete debian/bzr-builddeb.dirs so the long obsolete and empty
    /usr/lib/python2.4/site-packages/bzrlib/plugins/bzr-builddeb/ is no
    longer created. Closes: #631564

  [ Jelmer Vernooij ]
  * Add support for xz and lzma tarballs. LP: #553668
  * When importing upstream component tarballs, don't repack bz2/lzma
    tarballs to gz if the package is in v3 source format. LP: #810531

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 15 Jul 2011 12:15:22 +0200

bzr-builddeb (2.7.4) unstable; urgency=low

  [ Jelmer Vernooij ]
  * In 'bzr merge-upstream', don't ignore upstream branch when upstream
    version can not be found.  LP: #772424
  * Automatically determine the version from the tarball name if possible.
    LP: #773199
  * Use --create when merging a new upstream into a branch that doesn't have a
    changelog file. LP: #385667
  * Fix merging of upstream in new packages. LP: #772225

  [ Max Bowsher ]
  * Add python-bzrlib.tests to Build-Depends-Indep.

 -- Max Bowsher <maxb@f2s.com>  Fri, 06 May 2011 00:36:30 +0100

bzr-builddeb (2.7.3) unstable; urgency=low

  [ Jelmer Vernooij ]
  * Avoid opening upstream branch when it is not necessary. LP: #730589
  * Retrieve the upstream branch URL from Launchpad in 'bzr merge-upstream'
    if --launchpad is specified. LP: #726460
  * Fix merge of bz2 upstream tarballs. LP: #737012

  [ Max Bowsher ]
  * Do not error if the top changelog entry is not a recognized Debian or
  Ubuntu upload target.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 18 Apr 2011 23:17:34 +0200

bzr-builddeb (2.7.2) unstable; urgency=high

  [ Andrew Mitchell ]
  * Add upstream/ directory to setup.py. Closes: #618380. LP: #735147

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 14 Mar 2011 23:27:25 +0100

bzr-builddeb (2.7.1) unstable; urgency=low

  * Add Ubuntu oneiric and Debian wheezy to the list of supported
    distributions.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 11 Mar 2011 11:18:52 +0100

bzr-builddeb (2.7) unstable; urgency=low

  [ James Westby ]

  * Accept None as a valid previous_version value in merge_upstream().
    LP: #680945

  [ Jelmer Vernooij ]

  * Support 'bzr tags --sort=debversion'. Closes: #701244.
  * When adding a changelog entry, support git and svn snapshots.
  * Automatically use debian/source/format if package is native. Closes:
    #586617
  * Fix "bzr builddeb" if last upload was not to a Ubuntu release pocket.
    LP: #709263
  * If possible use uscan to find the latest upstream version string.
    LP: #295274
  * Add --snapshot option to merge-upstream.
  * 'bzr merge-upstream' now also works in merge mode, and will simply
    add a new entry for new upstream versions.
  * merge-upstream will now keep epochs around. LP: #622678
  * 'bzr builddeb' now searches for directories relative to the working
    tree rather than relative to the branch. Closes: #676456
  * Use enums for build types, and a priority scheme to figure out the
    build type. LP: #655277
  * Fix finding upstream tarball when get-orig-source is not available.
    Closes: #552893
  * merge-upstream now looks at the package source format to see what
    kind of compression is supported on tarballs. LP: #627718
  * Support upstream version strings containing dashes. Patch by Stefano
    Rivera. LP: #711826
  * Run test suite unless nocheck is set (consistent with policy).
  * Fix build dependencies for test suite.
  * Support unversioned debian/ symlink in working tree when finding
    changelog and larstiq mode. LP: #619295
  * The deb: directory service has been renamed to apt: to avoid
    confusion.
  * When building with distribution set to UNRELEASED, it is now assumed
    the build is targetted at the same distribution as the build before.
  * A hook for 'bzr merge-upstream' has been added. LP: #657501
  * Support running the test suite in parallel during package build.
  * Pristine tarballs are now automatically created when merging upstream
    from a branch. Closes: #517867

  [ Max Bowsher ]

  * Add devscripts to Build-Depends-Indep, the test suite runs dch.

  [ Jelmer Vernooij ]
  * The 'export-upstream' configuration option is now deprecated in
    favour of 'upstream-branch'. LP: #730293
  * Switch to dh_python2. Closes: #616752

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 07 Mar 2011 12:28:08 +0100

bzr-builddeb (2.6) unstable; urgency=low

  [ James Westby ]

  * Don't fail if asked to use a .bz2 tarball that is already in the desired
    location. LP: #616786
  * Don't crash if we are asked to merge-upstream with an unrelated branch.
    LP: #619614.
  * Don't strip -n from the version we get in merge-upstream, as some
    upstreams have this in there, and trying to support both means supporting
    both badly. If you are used to doing "bzr merge-upstream --version
    <package version>" then it will no longer work for you, use the
    upstream version instead.
  * Don't crash when doing merge-upstream with a branch that does a rename
    and then ships another file with the old path in the tarball that isn't
    in the branch.

  [ Jelmer Vernooij ]

  * Fix the auto-detection of merge mode.
  * Don't crash on merge mode packages where there is no export-upstream
    if we can't find the tarball.
  * Determine Bazaar home directory using bzrlib to prevent test
    isolation issues. LP: #614125

 -- James Westby <james.westby@ubuntu.com>  Wed, 18 Aug 2010 20:12:20 -0400

bzr-builddeb (2.5.1) unstable; urgency=low

  [ James Westby ]

  * Don't fail if asked to use a .bz2 tarball that is already in the desired
    location. LP: #616786
  * Don't crash if we are asked to merge-upstream with an unrelated branch.
    LP: #619614.
  * Don't strip -n from the version we get in merge-upstream, as some
    upstreams have this in there, and trying to support both means supporting
    both badly. If you are used to doing "bzr merge-upstream --version
    <package version>" then it will no longer work for you, use the
    upstream version instead.
  * Don't crash when doing merge-upstream with a branch that does a rename
    and then ships another file with the old path in the tarball that isn't
    in the branch.
  * Accept None as a valid previous_version value in merge_upstream(). LP: #680945

  [ Jelmer Vernooij ]

  * Fix the auto-detection of merge mode.
  * Don't crash on merge mode packages where there is no export-upstream
    if we can't find the tarball.
  * Determine Bazaar home directory using bzrlib to prevent test
    isolation issues. LP: #614125
  * Support 'bzr tags --sort=debversion'. Closes #701244.
  * When adding a changelog entry, support git and svn snapshots.
  * Automatically use debian/source/format if package is native. Closes:
    #586617
  * Fix "bzr builddeb" if last upload was not to a Ubuntu release pocket.
    LP: #709263
  * If possible use uscan to find the latest upstream version string.
    LP: #295274
  * Add --snapshot option to merge-upstream.
  * 'bzr merge-upstream' now also works in merge mode, and will simply
    add a new entry for new upstream versions.
  * merge-upstream will now keep epochs around. LP: #622678
  * 'bzr builddeb' now searches for directories relative to the working
    tree rather than relative to the branch. Closes: #676456
  * Use enums for build types, and a priority scheme to figure out the
    build type. LP: #655277
  * Fix finding upstream tarball when get-orig-source is not available.
    Closes: #552893
  * merge-upstream now looks at the package source format to see what
    kind of compression is supported on tarballs. LP: #627718
  * Support upstream version strings containing dashes. Patch by Stefano
    Rivera. LP: #711826
  * Run test suite unless nocheck is set (consistent with policy).
  * Fix build dependencies for test suite.
  * Support unversioned debian/ symlink in working tree when finding
    changelog and larstiq mode. LP: #619295
  * The deb: directory service has been renamed to apt: to avoid
    confusion.
  * Add --strict argument to 'bzr builddeb'. LP: #521341

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 06 Feb 2011 14:25:32 +0100

bzr-builddeb (2.5) unstable; urgency=low

  [ Colin Watson ]
  * Consider a .dsc without a Format: to be Format: 1.0.

  [ Jelmer Vernooij ]
  * export now uses the timestamp of the last revision, making them more
    deterministic, and so hopefully producing the same tarballs when it is
    used for that.
  * Fix use of getattr to have 3 arguments to avoid exception. (LP: #572093)
  * Implement the automatic_tag_name hook so that "bzr tag" with no arguments
    will tag based on the version in debian/changelog.
  * Support upstream/VERSION tags, for compatibility with git-
    buildpackage. LP: #551362
  * Support upstream tarballs without a pristine tar delta.
  * Support -r argument to import-upstream.

  [ Robert Collins ]
  * Add import-upstream command which imports an upstream - useful for
    migrating existing packaging branches into pristine-tar using mode.
  * Stop stripping .bzrignore from tarball imports. LP: #496907
  * Make the upstream branch authoritative for file ids when importing a
    tarball, stopping errors when files are renamed. LP: #588060

  [ James Westby ]
  * Add a --package-merge option to builddeb to build with the -v and -sa
    appropriate when doing a merge from Debian or similar. LP: #576027
  * Fixed a logic error that stops -r working in merge-upstream. LP: #594575

  [ Jelmer Vernooij ]
  * Determine Bazaar home directory using bzrlib to prevent test
    isolation issues. Closes: #614125
  * Bump standards version to 3.9.1 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 11 Aug 2010 18:23:54 +0200

bzr-builddeb (2.4.2) unstable; urgency=low

  [ Jelmer Vernooij ]
  * Avoid AttributeError in the python-apt compatibility code.

  [ James Westby ]
  * Add 'maverick' as an Ubuntu release.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 13 Apr 2010 21:37:53 +0200

bzr-builddeb (2.4.1) unstable; urgency=low

  [ Colin Watson ]
  * Consider a .dsc without a Format: to be Format: 1.0.

  [ Jelmer Vernooij ]
  * Fix use of getattr to have 3 arguments to avoid exception. (LP: #572093)

  [ James Westby ]
  * Fix for Launchpad's multi-version support.

 -- James Westby <james.westby@ubuntu.com>  Thu, 18 Mar 2010 14:19:53 -0400

bzr-builddeb (2.4) unstable; urgency=low

  [ Jelmer Vernooij ]
  * Switch section to vcs.
  * Allow the directory service to work with older version of python-apt.
  * Fix compatibility with versions of bzr that don't have
  bzrlib.utils.configobj. (Closes: #572093)

  [ James Westby ]
  * Correct typo that causes packages with .orig.tar.bz2 to fail to build.
  * Also merge tags in merge-package.
  * Adapt to the python-apt 0.8 API. Thanks to Julian Andres Klode.
    (Closes: #572093)
  * Fix merge-upstream with just a branch. (LP: #528273)

  [ John Arbash Meinel ]
  * Improve the changelog merge hook to be smarter when both sides change.

  [ Steve Langasek ]
  * Make merge-upstream --v3 unpack .tar.bz2 with the correct arguments.
    (LP: #529900)

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 13 Feb 2010 01:16:00 +0100

bzr-builddeb (2.3) experimental; urgency=low

  [ James Westby ]
  * Some support for v3 source formats (Closes: #562991)
    - Those that look quite a lot like v1 are supported well.
    - .tar.bz2 tarballs are supported for import, building, merge-upstream,
      etc., but only enabled for the latter with a --v3 switch for now.
    - Multiple orig.tar.gz is not supported.
    - .tar.lzma is not supported awaiting pristine-tar support.
  * New "dh-make" command ("dh_make" alias) that allows you to start
    packaging, either in an empty branch, or based on an upstream branch.
  * Fix merge-package for native packages (LP: #476348)
  * debian/changelog merge hook to reduce the manual conflict resolution
    required there. Thanks to John Arbash Meinel and Andrew Bennetts
    (LP: #501754).
    - Requires newer bzr.
  * Fix merge-package outside a shared repo (LP: #493462)
  * Fix exporting of symlinks (LP: #364671)
  * Add --force option to merge-upstream which may help certain people.
  * Use system configobj if the bzr copy isn't available. Thanks Jelmer.
  * Make merging multiple-root branches work. Thanks Robert Collins.
  * Disentangle from bzrtools. Thanks Max Bowser.

  [ Jelmer Vernooij ]
  * Bump standards version to 3.8.4.
  * Fix formatting in doc-base.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 13 Feb 2010 00:44:03 +0100

bzr-builddeb (2.2) unstable; urgency=low

  * Upload to unstable.
  * Bump standards version to 3.8.3.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 18 Jan 2010 19:15:26 +1300

bzr-builddeb (2.2~ubuntu3) karmic; urgency=low

  [ Jelmer Vernooij ]
  * Automatically use merge mode if there's only a debian/ directory in
    the packaging branch. Closes: #529816.

  [ James Westby ]
  * Merge merge-package command from Muharem Hrnjadovic to allow merging
    another branch of the same package in a way that will avoid spurious
    conflicts from divergent upstream histories. Thanks Muharem.
  * Don't crash on merge-upstream due to API changes not being fully applied.
  * Add plugin information as parsed by "bzr plugin-info".
  * Improve the error when the upstream tag is missing during merge-upstream.
  * Also query the config file for the revision to use in export-upstream
    (LP: #415572)
  * Don't populate the commit message editor with all lines added to
    debian/changelog. Only use the stripped version of the "change" lines.
  * Always use the date from debian/changelog during import-dsc. Thanks
    Sveinung Kvilhaugsvik.
  * pristine-tar errors are no longer fatal for building the package.
    Thanks Muharem. (LP: #417153)
  * Refuse to build a conflicted tree. Thanks Muharem. (LP: #381303)
  * Don't crash if there are no deb-src lines when building. (LP: #375897)
  * Make import-dsc work against redirected URIs. Thanks Muharem (LP: #337209)

 -- James Westby <james.westby@ubuntu.com>  Sun, 26 Jul 2009 18:38:47 +0200

bzr-builddeb (2.2~ubuntu2) karmic; urgency=low

  [ James Westby ]
  * Don't cause the commit to fail if the changelog file is present but
    unknown.
  * Also avoid problems with SIGPIPE when running the build command.
    (LP: #399938)

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 26 Jul 2009 18:20:30 +0200

bzr-builddeb (2.2~ubuntu1) karmic; urgency=low

  [ James Westby ]
  * Don't remove the debian part of the version number twice. (LP: #372792)
  * Make import-dsc work when the package contains a symlink.
  * Also take file-ids from the upstream revision when doing an import-dsc.
  * Fix a stupid error when recreating the tarball using pristine-tar.
  * Add karmic to the list of releases.
  * Several fixes for import-dsc when used in a multi-branch setting
    (not possible from the command line).
  * Don't deadlock when the pristine-tar delta is large.
  * Avoid problems due to SIGPIPE and subprocess causing failures to
    uncompress some tarballs. Thansk to Colin Watson (LP: #395353)

  [ Jelmer Vernooij ]
  * Support Vcs-Hg in the deb: directory service if bzr-hg is installed.

 -- James Westby <james.westby@ubuntu.com>  Wed, 06 May 2009 17:49:49 +0100

bzr-builddeb (2.1.2~ubuntu1) jaunty; urgency=low

  * Add --download-version to the uscan command line.
  * Make --export-upstream work again by not trying to use a removed attribute
    in config.py. (LP: #345747)
  * Look in the correct place for the tarball created by get-orig-source.

 -- James Westby <james.westby@ubuntu.com>  Mon, 09 Mar 2009 09:04:48 +1000

bzr-builddeb (2.1.1) experimental; urgency=low

  * Make get-orig-source priority higher than uscan. Thanks Martin Pitt.
    (LP: #339343).
  * Correct variable used in provide_with_apt. Thanks also to Martin Pitt.
    (LP: #339333)
  * Use hashlib instead of the sha and md5 modules. Thanks Kees Cook.
    (LP: #338525)

 -- James Westby <james.westby@ubuntu.com>  Sun, 08 Mar 2009 17:34:15 +1000

bzr-builddeb (2.1ubuntu1) jaunty; urgency=low

  * Add --install-layout=deb to avoid files ending up in /usr/local

 -- James Westby <james.westby@ubuntu.com>  Thu, 05 Mar 2009 14:14:18 +0000

bzr-builddeb (2.1) experimental; urgency=low

  * Merge the tags from the upstream branch when doing merge-upstream with
    a branch.
  * Catch and wrap ChangelogParseError to avoid the traceback (LP: #215732)
  * Warn when a key is defined outside of any sections in a config file.
    (LP: #309335)
  * Warn when the user uses the deprecated --result option. (LP: #268675)
  * Add "--release-heuristic changelog" to dch call after merge-upstream so
    that UNRELEASED entries are edited rather than a new stanza added.
    (Closes: #515921, LP: #331994)
  * Allow specifying the merge type in merge-upstream (LP: #310694)
  * Make merge mode work with Python 2.6 (LP: #336686)
  * Give a more informative message if pristine-tar isn't installed.
    (LP: #336442)
  * Record extra authors in import-dsc based on what is in the changelog
    entry (LP: #335071)
  * Provide a commit message template based on additions to debian/changelog,
    similar to debcommit. Bump version of bzr required to 1.10, which is the
    release that introduced the hook. (Closes: #497415, LP: #331993)
  * Give a better error if the pristine upstream branch can't be located.
    (Closes: #517869)

 -- James Westby <james.westby@ubuntu.com>  Thu, 19 Feb 2009 09:26:34 +0000

bzr-builddeb (2.1~0ubuntu1) jaunty; urgency=low

  [ Jelmer Vernooij ]
  * Add simple deb: directory service for Bazaar that uses the dpkg Vcs-* fields.
  * Fix mark-uploaded when used in merge mode. (Closes: #500851)
  * Support merging upstream from a Bazaar branch. (Closes: #493386)
   + Also support merging from upstream Subversion branches. (LP: #295275)
  * Make --version option and location argument to merge-upstream optional.
  * Add -d option to merge-upstream.
  * Try to retrieve upstream tarball using get-orig-source rule in
    debian/rules if everything else fails. (Closes: #498622)
  * Support Vcs-Git in the deb: directory service if bzr-git is installed.
  * Use svn-buildpackage configuration when present.
  * Print name of created tag in mark-uploaded. (Closes: #497416)

  [ James Westby ]
  * Support repacking of .zips. Thanks Daniel Hahler.
  * Switch to debuild instead of dpkg-buildpackage -rfakeroot -uc -us. The most
    noticeable change will be that it now tries to sign by default. Add a NEWS
    entry to explain this.
  * Support passing extra options to the builder using "bzr bd -- --foo" syntax.
  * Don't use the distribution name in the tags, fixing myriad issues, but
    giving us a compatibility headache. Old clients won't see the new tags,
    but using the old tags lead to bugs, and the only way to fix that is to
    use the new tags. Not a good situation, but moving forwards we will have
    a much better situation.
  * Update the changelog after merge-upstream, rather than telling the user
    exactly what to run. (LP: #296516)
  * Remove export-upstream mode in favour of merge-upstream, see NEWS.Debian.
  * Use pristine-tar to store and retrieve exact tarballs so that packages
    can be built directly from the branch. In particular merge-upstream and
    import-dsc now store this information. This will avoid problems with
    the .orig.tar.gz changing between uploads. (LP: #317111)
  * Depend on pristine-tar.

  [ Kees Cook ]
  * builder.py: switch to using external tar command to replace buggy
   tarfile unpacker. (Closes: #463349, LP: #303931)

 -- James Westby <james.westby@ubuntu.com>  Wed, 18 Feb 2009 23:18:13 +0000

bzr-builddeb (2.0.2~0ubuntu2) intrepid; urgency=low

  * Use properties.tarball_dir() instead of .target_dir(), as the latter
    doesn't exist. Thanks Laurent Bigonville (LP: #286403)

 -- James Westby <james.westby@canonical.com>  Mon, 20 Oct 2008 14:35:19 +0100

bzr-builddeb (2.0.2~0ubuntu1) intrepid; urgency=low

  * Pass --only-source to "apt-get source" call, as this will prevent apt
    from assuming the package name we pass is a binary package name which
    it must look up the source for. This would cause problems when there
    are a source package and binary package that are named the same, but
    the binary package isn't built from the source package, e.g. firefox,
    linux. (bug #275446)
  * Add "squeeze" and "jaunty" to the list of known releases. (bug #275448)
  * Make source and result dirs being the same work better.
  * Simplify use of uscan and make it more robust.

 -- James Westby <james.westby@canonical.com>  Sun, 28 Sep 2008 14:53:16 +0100

bzr-builddeb (2.0.1) experimental; urgency=low

  * Fix retrieval of the upstream source from a watch file of the archive.
    - It would download to the specified tarball directory, but then
      report it as stored in the compatibility directory. (bug #262618)
  * Don't move the result if the source and destination are the same location.
    (bug #262621)
  * Use --result-dir rather than --result for concistency with the other
    options and the configuration key. --result is still accepted, but
    deprecated. (bug #263643)
  * Add a revisionspec that allows you to specify a revision by the
    package version number, e.g. -r package:0.1-1.
    https://blueprints.launchpad.net/bzr-builddeb/+spec/package-revisionspec
  * Use the upstream part of the version number when repacking the tarball.
    (bug #263373)
  * Merge the upstream tags in to the packaging ones after importing a new
    upstream. (bug #263373)
  * Strip the changelog message as debcommit does. Thanks to Colin Watson.
    (bug #265045)
  * "Fix" fetching between two locked branches which share a repository.
    (bug #264705)
  * Handle remote files in repack check that checksums match when target
    exists. (bug #263371)
  * Fix the README to mention bzrtools is required.
  * Depend on at least 0.1.11 of python-debian for strict=False support.
  * Check that versions are in the ancestry of the current branch.
    (bug #264701)
  * Fix locking problems with merge_upstream in shared repository.
  * Handle invalid version numbers in the changelog by ignoring them.
    (bug #248447)
  * During merge-upstream correctly check whether the new upstream is
    already imported. (bug #272118)

 -- James Westby <james.westby@canonical.com>  Mon, 22 Sep 2008 12:04:09 +0100

bzr-builddeb (2.0) experimental; urgency=low

  [ Jelmer Vernooij ]
  * Support +bzr for snapshots as well as ~bzr.
  * Lock the tree before starting as remote trees are more strict about this,
    meaning there were problems with remote branches.
  * Import apt_pkg only when used, as it is used rarely and importing it
    has an overhead, and also leads to increased memory usage.

  [ James Westby ]
  * Lots of compatibilty breaking changes. Please see NEWS.Debian for advice.
  * Use the last entry from debian/changelog as the commit message
    when importing a .diff.gz or native package with import-dsc.
  * Use dpkg-source to extract source pacakges, which is much more robust.
  * Don't use strict changelog parsing from python-debian, as we don't
    need faithful reproduction.
  * Follow dpkg-buildpackage etc. more closely by looking for .orig.tar.gz
    in the parent directory, and placing the result of the build there.
    - ../tarballs is still used a fallback for compatibility.
    - moving the result doesn't fail the build if the .changes can't be
      found when the default is used, to support builders that move
      the package elsewhere.
    - The .changes file can be missed if the arch is not what is expected,
      for instance if "debuild -S" was set as the builder.
  * builddeb --result now works for packages with an epoch.
  * Added mark-uploaded command that sets the appropriate tag based
    on the version, for use after upload.
  * merge-upstream and import-dsc have had their command line options
    changed to be more sensible, and to be future-proof. Details in
    the online help or the documetation.
  * --snapshot has been dropped from import-dsc. snapshot.debian.net
    is virtually useless currently. Something similar can be brought
    back when we have such a service again.

 -- James Westby <james.westby@canonical.com>  Fri, 13 Jun 2008 15:03:53 +0100

bzr-builddeb (0.95) unstable; urgency=low

  [ Jelmer Vernooij ]
  * Support building from remote branches,
    "bzr builddeb http://wherever/package.debian" will now work.

 -- James Westby <james.westby@canonical.com>  Fri, 16 May 2008 12:29:08 +0100

bzr-builddeb (0.94) unstable; urgency=low

  [ Jelmer Vernooij ]
  * Support building against snapshots from Subversion branches.
  * Suggest bzr-svn to hint that you can work with svn. The version
    is the one that exports the svn-buildpackage mergeWithUpstream
    property as "merge = True", so that bzr-builddeb will seamlessly
    build these branches.

  [ Sebastian Bober ]
  * Disable the testsuite during build as we can't be sure that
    /etc/apt/sources.list has a deb-src line. "check" or "test"
    in DEB_BUILD_OPTIONS will turn it back on again. (Closes: #472543)
  * Build-Depend and Depend on python-apt, as it is used directly
    now.
  * Tweaks to stamp handling in debian/rules.

  [ James Westby ]
  * Make the tarball dir before trying to download from the archive in
    to it. (LP: #223948)

 -- James Westby <james.westby@canonical.com>  Thu, 15 May 2008 16:59:00 +0100

bzr-builddeb (0.93) unstable; urgency=low

  [ Arnaud Fontaine ]
  * Add Vcs-Bzr field (dpkg supports it now) in debian/control.
  * Update GPL path to GPL-2 in debian/copyright as GPL-3 is now the default.

  [ Jelmer Vernooij ]
  * Allow building snapshots of packages based on version in changelog.
    (Closes: #452130)

  [ James Westby ]
  * Stop specifying a specific branch format when importing a .dsc.
    This improves performance significantly as packs will now be used.
    Require bzr 1.0 so that packs are default.
  * Fix the import diff code to not deadlock on large diffs. Thanks to
    Jamie Wilkinson. (Closes: #451248)
  * Exclude more files/directories than just .bzr when importing.
  * Normalise filenames from the tarballs when extracting to import a
    dsc to avoid errors on strange tarballs.
  * Treat hardlinks in tarballs as a copy of the file. This at least
    gets the data, and is representable in bzr.
  * Don't silently skip unkown types when extracting a tarball, error
    instead.
  * Don't use relative imports. Thanks Robert Collins. (LP: #189429)
  * Remove the .bzr-builddeb from merge builds not in "larstiq" mode.
    (Closes: #464033)
  * Don't tell cp to be verbose when copying back the debian/ dir
    in bd-do.
  * Update the dependencies on bzr and bzrtools to more recent versions.
  * Update the VCS-Bzr: header for the new branch location.
  * Avoid failing the testsuite because of a user's ~/.bazaar/builddeb.conf.

 -- James Westby <jw+debian@jameswestby.net>  Wed, 19 Mar 2008 21:27:37 +0000

bzr-builddeb (0.92) unstable; urgency=low

  [ James Westby ]
  * Support incremental imports of normal mode packages from source packages
    for uploads done outside the VCS.
  * Also look for upstream tarballs in the archives. Do this in preference
    to the watch file, for the case where the upstream was repacked.
  * Filter out any changes to .bzr in packages that are being imported as they
    will totally mess things up. If the branch is in the source package then
    just use apt-get source. (LP: #156003)
  * bzr 0.92 is required.
  * Improve the error message when the upstream tag is not found to actually
    give the name of the expected tag.
  * Allow the last upstream not to be on the mainline during merge-upstream.
  * Don't complain when repacking the tarball if the target exists, but is the
    same as the source. Only .tar.gz can be considered identical.
  * Bug fix: "bzr-builddeb: merge-upstream --version is a conflicting
    optoin", thanks to Jamie Wilkinson (Closes: #449369).
  * Close old bug, only parse first changelog entry (Closes: #429299)
  * Bug fix: "bzr-builddeb: parse debian/watch if no URL specified for
    merge-upstream", thanks to Jamie Wilkinson (Closes: #449362).
  * Bug fix: "bzr-builddeb: can't do merge packages with
    dh-make-pear", thanks to mah@everybody.org (Mark A. Hershberger)
    (Closes: #440069).

  [ Reinhard Tartler ]
  * (Build-)Depend on python-apt
  * bump dependency on bzrtools
  * when running the testsuite, set home directory to effectively disable
    any user installed plugins

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 12 Nov 2007 16:39:43 +0100

bzr-builddeb (0.91) unstable; urgency=low

  [ Frédéric Brin ]
  * Correct unknown variable (files) when importing dsc.
  * chmod 755 debian/rules when importing dsc

  [ James Westby ]
  * Now handles merge mode with multiple entries in the root of
    upstream's tarball, which was causing havoc with dh-make-php packages.
    Thanks to Mark A. Hershberger for the report and Adeodato Simó
    for the pointer to the fix. (Closes: #440069)
  * Add version_info attribute so that bzrlib can find out the version of
    the plugin. Please try and remember to update it when releasing (set
    the word to 'final').
  * Use None instead of [] to revert all files as the latter is deprecated
    in bzr 0.91. Bump the required version accordingly.
  * Build the working tree by default (so --working-tree now has no effect,
    along with --ignore-changes).
  * Add --revision option to allow building an old revision of the branch
    without doing revert or similar.
  * Add the start of a blackbox test suite.
  * Add the ability to export an upstream branch in normal mode.
  * Add a bd-do command for running commands when in merge mode. This
    is useful when you need the full upstream source, for instance patch
    handling.
  * Add hook support for running arbitrary commands at pre-defined points
    in the build.
  * Support $UPSTREAM_VERSION in the export-upstream-revision configuration
    option. This allows builddeb to find the correct upstream revision based
  * Correct the pointer to the user manual in the README. Thanks to Achim
    Bohnet for noticing the mistake. (LP: #145019)
  * Many documentation fixes from dAniel hAhler. Thanks very much.

 -- James Westby <jw+debian@jameswestby.net>  Tue, 23 Oct 2007 22:24:40 +0100

bzr-builddeb (0.90) unstable; urgency=low

  * Support exporting the working tree when it contains symlinks. Thanks
    to John Arbash Meinel for help on fixing it. (LP: #132391)
  * Fix the repacking of .tar.bz2 file to .tar.gz. Thanks Frederic Brin.
  * Complete the transition of deb822 into python-debian.

 -- James Westby <jw+debian@jameswestby.net>  Wed, 22 Aug 2007 22:25:27 +0100

bzr-builddeb (0.19) unstable; urgency=low

  * Allow empty author information in the changelog for those that like to
    develop without filling it in, and then add it while releasing.
  * Drop the dependency on python-deb822 as it is now part of python-debian.
    Thanks to Loïc Minier and Lucas Nussbaum for noticing.
    (Closes: #436386, #436089)

 -- James Westby <jw+debian@jameswestby.net>  Mon, 13 Aug 2007 22:03:03 +0100

bzr-builddeb (0.18) unstable; urgency=medium

  * Medium urgency as it will hold up the bzr 0.18 transition.
  * Remove any 'debian/' directory from the upstream tarball in merge mode,
    so that the branch contains all of the files that will appear there.
  * Allow the changelog entries to have no author information.
  * Add a working-tree option to the configuration files that if set always
    builds the working tree rather than the last revision in the branch.
  * uscan is now used to download an upstream tarball if the version required
    is not available and the user has a watch file. Thanks to Daniel Holbach
    for the insipration for how to implement this. This makes devscripts a
    dependency. Add a watch file to your package to take advantage of this.
  * Add a user manual with some proper documentation. See
    /use/share/doc/builddeb/user_manual/index.html
  * Add an import-dsc command to import history from a series of source
    packages.
    - Currently only works for normal and native modes.
    - Currently only does initial imports, incremental imports will come later
      I hope.
    - Can automatically grab any packages from snapshot.debian.net.
  * Add a merge-upstream command that allows you to grab a new upstream
    version and merge your packaging changes back in to it.
    - Currently only supports normal mode.
    - Doesn't integrate with uscan yet.
  * Remove the need for --ignore-unknowns, as it is no longer checked for.
    The option is still there for backwards compatibility, but it now does
    nothing.

 -- James Westby <jw+debian@jameswestby.net>  Tue, 10 Jul 2007 22:25:49 +0100

bzr-builddeb (0.17) unstable; urgency=low

  [ James Westby ]
  * Pass max_blocks=1 when constructing changelogs as that is all that is
    needed currently. This requires a newer python-debian (0.1.3), so bump the
    version requirements. This would have helped with cases like #429299, but
    Reinhard already fixed that in python-debian.
  * python-deb822 changed from new classes to old classes in version 0.3.
    Handle the change in API, and bump the dependencies to make sure it will
    work.
  * Fix up Build-Depends and Build-Depends-Indep (thanks lintian).
  * Now require the changelog to be added to the branch with bzr add before
    it will try and read it. This avoids a nasty error.

 -- James Westby <jw+debian@jameswestby.net>  Mon, 18 Jun 2007 22:56:29 +0100

bzr-builddeb (0.16.2) unstable; urgency=low

  * loosen the dependency on bzr. bzr-builddeb seems to be not be broken
    by bzr version 0.17, so remove the upper bound of the dependency.

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 12 Jun 2007 19:45:38 +0100

bzr-builddeb (0.16.1) unstable; urgency=low

  * fix FTBFS by correcting build depends. Thanks to
    "Rob Weir" <rob@weir.id.au> for providing the patch! (Closes: #423745)

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 14 May 2007 14:08:11 +0200

bzr-builddeb (0.16) unstable; urgency=low

  [James Westby]
  * Lock the working trees to fix compatibility with 0.15+ dirstate trees.
    (Closes: #421900)
  * Add the start of a test suite to help avoid bugs like that.
  * Update the dependency on bzr to reflect the compatibility of this release.
    (Closes: #421041)
  * Take the package under the wing of pkg-bazaar.

  [Reinhard Tartler]
  * apply patch to util.py as suggested by Robert Collins: Use Tree
    directly, don't use the inventory.
  * upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Tue,  8 May 2007 18:43:19 +0200

bzr-builddeb (0.15~rc1ubuntu1) gutsy; urgency=low

  * loosen depends, 0.15 works with bzr 0.16 as well

 -- Reinhard Tartler <siretart@tauware.de>  Tue,  1 May 2007 16:17:06 +0200

bzr-builddeb (0.15~rc1) feisty; urgency=low

  * Version designed to work with bzr 0.15.
  * Bump depends on bzr appropriately.
  * Install the plugin in .../plugins/builddeb instead of
    .../plugins/bzr-builddeb, as the latter is not a valid python identifier
    as is now required by bzr.
  * Export the package build to the correct directory name, using the upstream
    version rather than the full version. This removes a warning from
    dpkg-source when building and Closes: #409981. Thanks to James Vega.

 -- James Westby <jw+debian@jameswestby.net>  Fri,  9 Mar 2007 21:31:30 +0000

bzr-builddeb (0.14ubuntu2) feisty; urgency=low

  * fix the deprecation warning about 'short options' on every load of
    this plugin with bzr 0.14.
  * repack with a full bzr branch in the source

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 31 Jan 2007 08:46:05 +0100

bzr-builddeb (0.14ubuntu1) feisty; urgency=low

  * revert the smart options patch so that the package gets usable with bzr 0.13 again.

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 16 Jan 2007 23:16:44 +0100

bzr-builddeb (0.14) UNRELEASED; urgency=low

  * Compatible with bzr 0.14.
  * Drop the silly restriction on only invoking the command from the root
    of a branch.
  * Add support for non-native full source packages. To do this, just
    have orig-dir pointing to the dir containing the upstream tarballs.
    This involves a change in behaviour I am afraid. Native packages are
    now not the default, so if you have one echo 'native = True' to
    global.conf.
  * Add support for creating non-native packages from full source branches
    by creating the tarball from the branch, rather than the user creating it.
    It simply blows away debian/ from the tarball and names it appropriately
    in the build dir to get a non-native package where all of and only
    debian/ are in the .diff.gz.
  * Add support for exporting the upstream code from a bzr branch when in
    merge mode. Just use export-upstream with a URI of a bzr branch and that
    code will be the .orig.tar.gz of the source package. Please make sure
    that you don't grab a different upstream code for the same upstream
    version, that could break things horribly. You can also specify the
    revision to export with export-upstream-revision to combat this.
  * Add support for pulling in the upstream branch when it is local so that
    you can build the lastest version. The 'export-upstream-prepull' option
    is only availble as a config file option.
  * Add an option to stop the build if the above mentioned pull did nothing.
  * Add a --short/-S parameter to build source packages and a source-builder
    option to configure what it does.
  * Change to use the new version of the python-debian API, so that 0.1.1 is
    now required.
  * Builddeb configuration files that are used in the branch are marked as
    non-trusted. This means that you can no longer set any of the builders in
    them, as this would be arbitrary code execution. You have to set the
    builders in your ~/.bazaar/builddeb.conf now. If you don't like this
    change then please propose a scheme that allows you to do what you want,
    but doesn't expose people to the security threat.
  * Bump the required version of bzr to 0.14~rc1 or greater and less than 0.15.
  * Depend on dpkg-dev and fakeroot as they are used in the default builder
    commands.

 -- James Westby <jw+debian@jameswestby.net>  Wed, 31 Jan 2007 20:15:42 +0000

bzr-builddeb (0.13ubuntu1) feisty; urgency=low

  * upload to feisty
  * bump depends on bzr on (>= 0.13)

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 16 Jan 2007 00:47:39 +0100

bzr-builddeb (0.13) unstable; urgency=low

  * New release.
  * Comptible with bzr 0.13.

 -- James Westby <jw+debian@jameswestby.net>  Wed, 20 Dec 2006 00:22:18 +0000

bzr-builddeb (0.11) experimental; urgency=low

  * Initial Release. (Closes: #380198)
  * add myself to Uploaders

 -- Reinhard Tartler <siretart@tauware.de>  Wed,  3 Jan 2007 20:23:37 +0100
